# lugins/osg/TexEnvCombine.cpp File Reference

`#include "osg/TexEnvCombine"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/TexEnvCombine.cpp:

## Functions

bool | TexEnvCombine_readLocalData (Object &obj, Input &fr)
bool | TexEnvCombine_writeLocalData (const Object &obj, Output &fw)
bool | TexEnvCombine_matchCombineParamStr (const char *str, GLint &value)
const char * | TexEnvCombine_getCombineParamStr (GLint value)
bool | TexEnvCombine_matchSourceParamStr (const char *str, GLint &value)
const char * | TexEnvCombine_getSourceParamStr (GLint value)
bool | TexEnvCombine_matchOperandParamStr (const char *str, GLint &value)
const char * | TexEnvCombine_getOperandParamStr (GLint value)

## Variables

RegisterDotOsgWrapperProxy | g_TexEnvCombineProxy (new osg::TexEnvCombine,"TexEnvCombine","Object StateAttribute TexEnvCombine",&TexEnvCombine_readLocalData,&TexEnvCombine_writeLocalData)

## Function Documentation

const char * TexEnvCombine_getCombineParamStr | ( | GLint | value | ) |

const char * TexEnvCombine_getOperandParamStr | ( | GLint | value | ) |

const char * TexEnvCombine_getSourceParamStr | ( | GLint | value | ) |

bool TexEnvCombine_matchCombineParamStr | ( | const char * | str,
|  | GLint & | value
| ) |

bool TexEnvCombine_matchOperandParamStr | ( | const char * | str,
|  | GLint & | value
| ) |

bool TexEnvCombine_matchSourceParamStr | ( | const char * | str,
|  | GLint & | value
| ) |

bool TexEnvCombine_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool TexEnvCombine_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_TexEnvCombineProxy(new osg::TexEnvCombine,"TexEnvCombine","Object StateAttribute TexEnvCombine",&TexEnvCombine_readLocalData,&TexEnvCombine_writeLocalData)